Package org.apache.felix.http.javaxwrappers

# Class RequestDispatcherWrapper

java.lang.Object
org.apache.felix.http.javaxwrappers.RequestDispatcherWrapper

All Implemented Interfaces:
  `javax.servlet.RequestDispatcher`

public class RequestDispatcherWrapper extends Object implements javax.servlet.RequestDispatcher
Dispatcher wrapper

## Field Summary

### Fields inherited from interface javax.servlet.RequestDispatcher

`ERROR_EXCEPTION, ERROR_EXCEPTION_TYPE, ERROR_MESSAGE, ERROR_REQUEST_URI, ERROR_SERVLET_NAME, ERROR_STATUS_CODE, FORWARD_CONTEXT_PATH, FORWARD_MAPPING, FORWARD_PATH_INFO, FORWARD_QUERY_STRING, FORWARD_REQUEST_URI, FORWARD_SERVLET_PATH, INCLUDE_CONTEXT_PATH, INCLUDE_MAPPING, INCLUDE_PATH_INFO, INCLUDE_QUERY_STRING, INCLUDE_REQUEST_URI, INCLUDE_SERVLET_PATH`

## Constructor Summary

Constructors
Constructor
Description
`RequestDispatcherWrapper(@NotNull jakarta.servlet.RequestDispatcher dispatcher)`
Create new dispatcher

## Method Summary

Modifier and Type
Method
Description
`void`
`forward(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`
`void`
`include(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RequestDispatcherWrapper

public RequestDispatcherWrapper(@NotNull @NotNull jakarta.servlet.RequestDispatcher dispatcher)
Create new dispatcher

Parameters:
  `dispatcher` - Dispatcher

## Method Details

### forward

public void forward(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response) throws javax.servlet.ServletException, IOException

Specified by:
  `forward` in interface `javax.servlet.RequestDispatcher`
Throws:
  `javax.servlet.ServletException`
  `IOException`

### include

public void include(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response) throws javax.servlet.ServletException, IOException

Specified by:
  `include` in interface `javax.servlet.RequestDispatcher`
Throws:
  `javax.servlet.ServletException`
  `IOException`